const componentStub = require('../stubs/component')
const inquirer = require('inquirer')
const createModule = require('../commands/create-module')
const {createDir, createFile, getDirectories} = require('../utils')
const path = './src/modules'

module.exports = {
    createComponent: function (name, isView){
        inquirer.prompt([
          {type: 'rawlist', name: 'module', message: 'select a module', choices: getDirectories().concat('Create new module...')}
        ]).then((answers) => {
          var template = componentStub(name)
          if(answers.module === 'Create new module...'){
            inquirer.prompt([
              {type: 'input', name: 'new_module', message: 'Enter new module name'}
            ]).then((answers) => {
              createModule(answers.new_module)
              let componentDirPath = `${path}/${answers.new_module}/${isView ? 'views' : 'components'}/${name}`
              createDir(componentDirPath, () => {
                let componentPath = `${path}/${answers.module}/${isView ? 'views' : 'components'}/${name}/${name}.js`
                createFile(componentPath, template)
              })
            })
          }
          else {
            let componentDirPath = `${path}/${answers.module}/${isView ? 'views' : 'components'}/${name}`
            createDir(componentDirPath, () => {
              let componentPath = `${path}/${answers.module}/${isView ? 'views' : 'components'}/${name}/${name}.js`
              createFile(componentPath, template)
            })
          }
        }).then(() => {
          console.log('Component created successfully.')
        })
    }
}