const routes = require('../stubs/routes')
const store = require('../stubs/store')
const stylesMain = require('../stubs/stylesMain')
const {createDir, createFile} = require('../utils')
const path = './src/modules'

module.exports = function(name){
    let module_base_path = `${path}/${name}`
    createDir(module_base_path, () => {
        createDir(`${module_base_path}/components`, () => {})
        createDir(`${module_base_path}/views`, () => {})
        createDir(`${module_base_path}/styles`, () => {
            createDir(`${module_base_path}/styles/components`, () => {})
            createDir(`${module_base_path}/styles/views`, () => {})
            createFile(`${module_base_path}/styles/main.scss`, stylesMain())
        })
        createFile(`${module_base_path}/routes.js`, routes())
        createFile(`${module_base_path}/services.js`, '')
        createFile(`${module_base_path}/store.js`, store(name))
        console.log(`${name} module created successfully.`)
    })
}